added debian packaging information

This commit is contained in:
Steffen Vogel 2011-06-09 18:30:07 +02:00
parent d770465f22
commit d5ee94b190
9 changed files with 292 additions and 5 deletions

View file

@ -6,10 +6,10 @@ TARGET=vzlogger
all: $(TARGET)
clean:
rm -rf *.o
rm -rf *.o $(TARGET)
vzlogger: main.c api.c local.c queue.c 1wire.c obis.c
$(CC) $(LDFLAGS) main.o api.o local.o queue.o 1wire.o obis.o `curl-config --libs` -ljson -lpthread -o $(TARGET) -lmicrohttpd -lm
vzlogger: main.c api.c local.c queue.c 1wire.c obis.c rawS0.c
$(CC) $(LDFLAGS) main.o api.o local.o queue.o 1wire.o obis.o rawS0.o `curl-config --libs` -ljson -lpthread -o $(TARGET) -lmicrohttpd -lm
main.c:
$(CC) $(CFLAGS) src/main.c -o main.o
@ -28,3 +28,6 @@ queue.c:
obis.c:
$(CC) $(CFLAGS) src/protocols/obis.c -o obis.o
rawS0.c:
$(CC) $(CFLAGS) src/protocols/rawS0.c -o rawS0.o

7
README
View file

@ -1,5 +1,8 @@
vzlogger is a tiny command line utility to log sensors/meters against the volkszaehler.org middleware.
It's designed to run linux machines as well as embedded systems (routers, etc..).
vzlogger...
* is a tiny shell tool to log measurements of a wide variety of smartmeters, sensors & protocols against the volkszaehler.org middleware.
* can run as a daemon or can be invoked periodically by cron.
* includes a tiny onboard httpd to serve realtime readings to the ajax web frontend.
* is written in pure ansi c and should run on most embedded devices.
Feel free to add your own hardware ;)

5
debian/changelog vendored Normal file
View file

@ -0,0 +1,5 @@
vzlogger (0.2) unstable; urgency=low
* Initial Release.
-- Steffen Vogel <info@steffenvogel.de> Thu, 09 Jun 2011 16:04:25 +0200

1
debian/compat vendored Normal file
View file

@ -0,0 +1 @@
7

21
debian/control vendored Normal file
View file

@ -0,0 +1,21 @@
Source: vzlogger
Section: net
Priority: optional
Maintainer: Steffen Vogel <info@steffenvogel.de>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://wiki.volkszaehler.org/software/controller/vzlogger
Vcs-Git: git://github.com/volkszaehler/volkszaehler.org.git
Vcs-Browser: http://github.com/volkszaehler/volkszaehler.org/tree/master/misc/controller/vzlogger/
Package: vzlogger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program for logging measurements to an volkszaehler.org middelware
vzlogger...
* is a tiny shell tool to log measurements of a wide variety of
smartmeters, sensors & protocols against the volkszaehler.org middleware.
* can run as a daemon or can be invoked periodically by cron.
* includes a tiny onboard httpd to serve
realtime readings to the ajax web frontend.
* is written in pure ansi c and should run on most embedded devices.

32
debian/copyright vendored Normal file
View file

@ -0,0 +1,32 @@
This work was packaged for Debian by:
Steffen Vogel <info@steffenvogel.de> on Thu, 09 Jun 2011 16:04:25 +0200
It was downloaded from:
http://volkszaehler.org
Upstream Author(s):
Steffen Vogel <info@steffenvogel.de>
Copyright:
Copyright (C) 2011 Steffen Vogel
License:
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
On Debian systems, the complete text of the GNU General
Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
The Debian packaging is:
Copyright (C) 2011 Steffen Vogel <info@steffenvogel.de>
and is licensed under the GPL version 3, see above.

13
debian/rules vendored Executable file
View file

@ -0,0 +1,13 @@
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
dh $@

58
debian/vzlogger.1 vendored Normal file
View file

@ -0,0 +1,58 @@
.\" Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH VZLOGGER 1 "June 9, 2011"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh disable hyphenation
.\" .hy enable hyphenation
.\" .ad l left justify
.\" .ad b justify to both left and right margins
.\" .nf disable filling
.\" .fi enable filling
.\" .br insert line break
.\" .sp <n> insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
vzlogger \- program for logging measurements to an volkszaehler.org middelware
.SH SYNOPSIS
.B vzlogger
.RI [ options ]
.SH DESCRIPTION
This manual page documents briefly the
.B vzlogger
command.
.BR
\fBvzlogger\fP is for
* is a tiny shell tool to log measurements of a wide variety of smartmeters, sensors & protocols against the volkszaehler.org middleware.
* can run as a daemon or can be invoked periodically by cron.
* includes a tiny onboard httpd to serve realtime readings to the ajax web frontend.
* is written in pure ansi c and should run on most embedded devices.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
.\" respectively.
\fBvzlogger\fP is a program that...
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
For a complete description, see the Info files.
.TP
.B \-h, \-\-help
Show summary of options.
.TP
.B \-v, \-\-version
Show version of program.
.SH BUGS
Currenty there are no known bugs.
Please report bugs to http://bugs.volkszaehler.org
.SH SEE ALSO
vzlogger is documented in more detail on the wiki page: http://wiki.volkszaehler.org/software/controller/vzlogger
.SH AUTHOR
vzlogger was written by Steffen Vogel <info@steffenvogel.de>.
.PP
This manual page was written by Steffen Vogel <info@steffenvogel.de>,
for the Debian project (and may be used by others).

151
debian/vzlogger.init vendored Normal file
View file

@ -0,0 +1,151 @@
#!/bin/sh
### BEGIN INIT INFO
# Provides: vzlogger
# Required-Start: $network $local_fs
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: logging measurements to an volkszaehler.org middelware
### END INIT INFO
# Author: Steffen Vogel <info@steffenvogel.de>
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC=vzlogger # Introduce a short description here
NAME=vzlogger # Introduce the short server's name here
DAEMON=/usr/sbin/vzlogger # Introduce the server's location here
DAEMON_ARGS="" # Arguments to run the daemon with
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x $DAEMON ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
: